{
    "fields": [
        {
            "doc": "Number of mendelian inconsitencies per nuclear family. One entry per nuclear family",
            "name": "perFamilyMendelErrors",
            "type": [
                "null",
                {
                    "items": {
                        "doc": "Mendelian inconsistencies\n========================================\n- fmendel reports a line per nuclear family\n- imendel reports a line per member of the family and nuclear family",
                        "fields": [
                            {
                                "doc": "Sample Id of the father",
                                "name": "fatherId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Sample Id of the mother",
                                "name": "motherId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Number of children in the nuclear family",
                                "name": "numberOfOffspring",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            },
                            {
                                "doc": "Number of Mendelian errors in the nuclear family",
                                "name": "numberOfMendelErrors",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            }
                        ],
                        "name": "PerFamilyMendelErrors",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Number of mendelian inconsitencies per sample and nuclear family. One entry per sample and nuclear family",
            "name": "individualMendelErrors",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Sample Id",
                                "name": "sampleId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Number of Mendelian errors per sample in a nuclear family",
                                "name": "numberOfMendelErrors",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            },
                            {
                                "doc": "Rate of Mendelian errors per sample in a nuclear family to the number of sites tested (number of markers)",
                                "name": "rateOfMendelErrors",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            }
                        ],
                        "name": "IndividualMendelErrors",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        },
        {
            "doc": "Aggregated number of mendelian inconsitencies per sample and family",
            "name": "totalNumberOfMendelErrors",
            "type": [
                "null",
                {
                    "fields": [
                        {
                            "doc": "Total number of Mendelian errors in the family, this should be the sum of the mendelian errors in each\nnuclear family",
                            "name": "familyMendelErrors",
                            "type": [
                                "null",
                                "double"
                            ]
                        },
                        {
                            "doc": "Number of Mendelian errors per sample considering all nuclear families. Should be one entry per sample in\nthe family",
                            "name": "individualMendelErrors",
                            "type": [
                                "null",
                                {
                                    "items": {
                                        "fields": [
                                            {
                                                "doc": "Sample Id",
                                                "name": "sampleId",
                                                "type": [
                                                    "null",
                                                    "string"
                                                ]
                                            },
                                            {
                                                "doc": "Total number of Mendelian errors per sample considering all nuclear families",
                                                "name": "totalnumberOfMendelErrors",
                                                "type": [
                                                    "null",
                                                    "double"
                                                ]
                                            }
                                        ],
                                        "name": "AggregatedIndividualMendelErrors",
                                        "type": "record"
                                    },
                                    "type": "array"
                                }
                            ]
                        }
                    ],
                    "name": "TotalNumberOfMendelErrors",
                    "type": "record"
                }
            ]
        },
        {
            "doc": "Summary of the type of mendelian inconstencies happening in the family. One entry per sample, chromosome and\ncode",
            "name": "locusMendelSummary",
            "type": [
                "null",
                {
                    "items": {
                        "fields": [
                            {
                                "doc": "Sample Id",
                                "name": "sampleId",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Chromosome (1-22, X, Y, XY)",
                                "name": "chr",
                                "type": [
                                    "null",
                                    "string"
                                ]
                            },
                            {
                                "doc": "Numeric error code (more information here: http://zzz.bwh.harvard.edu/plink/summary.shtml#mendel)",
                                "name": "code",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            },
                            {
                                "doc": "Number of errors of the type \"code\" in that chromosome",
                                "name": "numberOfErrors",
                                "type": [
                                    "null",
                                    "double"
                                ]
                            }
                        ],
                        "name": "LocusMendelSummary",
                        "type": "record"
                    },
                    "type": "array"
                }
            ]
        }
    ],
    "name": "MendelianInconsistencies",
    "namespace": "org.gel.models.metrics.avro",
    "type": "record"
}